
QGIS Application - Bug report #7360

fTools's Delaunay triangulation broken post new vector API, freezes at 0% and eventually crash

2013-03-14 06:40 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16334

Description

Just noticed fTools's Delaunay triangulation broken; when trying to process a points layer, it freezes at 0% and eventually crash QGIS.

Possibly another new vector API?

Tried on both windows and linux, both freeze 'n crash.

Associated revisions

Revision 58737b68 - 2013-04-15 02:33 PM - vinayan Parameswaran

[Fix #7360] - Fix Dealauney to vector api changes

Revision 4c05932a - 2013-04-17 08:35 AM - Alexander Bruy

Merge pull request #526 from vinayan/pip7414

[fTools] fix Points in Polygon and Delaunay triangulation (closes #7414, #7360)

History

#1 - 2013-03-15 02:57 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Target version set to Version 2.0.0

- Operating System deleted (all)

#2 - 2013-03-21 07:56 PM - Mathieu Pellerin - nIRV

- File vill.kml added

Commit https://issues.qgis.org/projects/quantum-gis/repository/revisions/9afe76d4d63e57abfbf8b42d2333fde548d78de3 didn't fix this issue.

- On a set of +13,000 points, QGIS chokes and eventually crashes at 0%

- On a reduced set of 655 points, the process freezes at around 50% and eventually QGIS has to be killed

I'm attaching the 655 points set to this issue.

#3 - 2013-03-22 07:32 AM - Giovanni Manghi
https://issues.qgis.org/projects/quantum-gis/repository/revisions/9afe76d4d63e57abfbf8b42d2333fde548d78de3


by the way, most of the tools in the vector menu are suffering of serious issues.

#4 - 2013-04-12 08:16 PM - maning sambale

Using the attached kml.

    -  I get segmentation fault using  ftools in the Vector > Geometry Tools > Delaunay Triangulation.

    -  But this works with Sextante > QGIS geoalgortithm > Vector Geometry Tools >  Delaunay Triangulation.

System: Ubuntu precise latest nightly build.

#5 - 2013-04-12 08:18 PM - maning sambale

- File Screen_Shot_2013-04-13_at_11.17.41_AM.png added

See attached screenshot.

#6 - 2013-04-16 02:28 AM - vinayan Parameswaran

- Pull Request or Patch supplied changed from No to Yes

sumitted a pull request

https://github.com/qgis/Quantum-GIS/pull/526

#7 - 2013-04-16 11:36 PM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"4c05932a565de8fb897520af8186978d3cc64c80".

#8 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

vill.kml 334 KB 2013-03-21 Mathieu Pellerin - nIRV

Screen_Shot_2013-04-13_at_11.17.41_AM.png 531 KB 2013-04-12 maning sambale
